Fractal Softworks Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

Starsector 0.95.1a is out! (12/10/21); Blog post: Hyperspace Topography (10/12/22)

Author Topic: Problem with LaziLib  (Read 774 times)

Hakofugu

  • Ensign
  • *
  • Posts: 6
    • View Profile
Problem with LaziLib
« on: September 04, 2019, 01:45:49 AM »

Please, help me.
So, i just instaled theese mods:
DiableAvionics
GraphicsLib
MagicLib
LaziLib
Scy nation
Upgraded rotary weapons
Unknown skies
Version cheker
Then, i applied theese mods and launched the game and i got an error:

 Fatal:
LazyLib is required to run at least one of the mods you have installed.
I dont even know what i did wrong at the start.
« Last Edit: September 04, 2019, 02:27:57 AM by Hakofugu »
Logged

Innominandum

  • Commander
  • ***
  • Posts: 166
    • View Profile
Re: Problem with LaziLib
« Reply #1 on: September 04, 2019, 02:37:24 AM »

Fatal:
LazyLib is required to run at least one of the mods you have installed.
I dont even know what i did wrong at the start.
Logged
"The early worm catcheth the bird."

Hakofugu

  • Ensign
  • *
  • Posts: 6
    • View Profile
Re: Problem with LaziLib
« Reply #2 on: September 04, 2019, 02:51:09 AM »

Fatal:
LazyLib is required to run at least one of the mods you have installed.
I dont even know what i did wrong at the start.

well, the problem is that i dont actually see it in the launcher mods!
it doesn't even appear!
Logged

Innominandum

  • Commander
  • ***
  • Posts: 166
    • View Profile
Re: Problem with LaziLib
« Reply #3 on: September 04, 2019, 03:00:31 AM »

Quote
well, the problem is that i dont actually see it in the launcher mods!
it doesn't even appear!

if you download it from the forum, extract it from the archive and put it in the mods folder it will work.
I have included pictures of my folder structure, if it looks like in the pictures (on top you can see the pathing Starsector -> mods -> Lazylib) then it will work.
Logged
"The early worm catcheth the bird."

Hakofugu

  • Ensign
  • *
  • Posts: 6
    • View Profile
Re: Problem with LaziLib
« Reply #4 on: September 04, 2019, 03:04:17 AM »

Ok, for some reason now this thing worked. thank you very much, noble person!
Quote
well, the problem is that i dont actually see it in the launcher mods!
it doesn't even appear!

if you download it from the forum, extract it from the archive and put it in the mods folder it will work.
I have included pictures of my folder structure, if it looks like in the pictures (on top you can see the pathing Starsector -> mods -> Lazylib) then it will work.
Logged